pqxx::internal::refcount Class Reference

`#include <util.hxx>`

## Public Member Functions

| refcount ()
| ~refcount ()
void | makeref (refcount &) throw ()
| Create additional reference based on existing refcount object. More...
bool | loseref () throw ()
| Drop this reference; return whether we were the last reference. More...

## Detailed Description

Helper class used in reference counting (doubly-linked circular list) Reference-counted smart-pointer for libpq-allocated resources.

## Constructor & Destructor Documentation

## refcount()

pqxx::internal::refcount::refcount | ( |  | ) |

## ~refcount()

pqxx::internal::refcount::~refcount | ( |  | ) |

References loseref().

## Member Function Documentation

## loseref()

bool pqxx::internal::refcount::loseref | ( |  | ) |
throw | ( |
| ) |  |

Drop this reference; return whether we were the last reference.

Referenced by pqxx::internal::PQAlloc< unsigned char, pqxx::internal::freemallocmem_templated< unsigned char > >::reset(), and ~refcount().

## makeref()

void pqxx::internal::refcount::makeref | ( | refcount & | rhs | ) |
throw | ( |
| ) |  |

Create additional reference based on existing refcount object.

Referenced by pqxx::internal::PQAlloc< unsigned char, pqxx::internal::freemallocmem_templated< unsigned char > >::reset().

The documentation for this class was generated from the following files:

- util.hxx
- util.cxx